Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
DisplayPluginBase::getAllPlugins function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Gets all the plugins used by the display.
DisplayPluginBase::getArgumentsTokens function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Returns to tokens for arguments.
DisplayPluginBase::getArgumentText function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Provides help text for the arguments.
DisplayPluginBase::getAttachedDisplays function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Find out all displays which are attached to this display.
DisplayPluginBase::getCacheMetadata function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Gets the cache metadata.
DisplayPluginBase::getExtenders function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Gets the display extenders.
DisplayPluginBase::getFieldLabels function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Retrieves a list of fields for the current display.
DisplayPluginBase::getHandler function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Get the handler object for a single handler.
DisplayPluginBase::getHandlers function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Get a full array of handlers for $type. This caches them.
DisplayPluginBase::getLinkDisplay function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Returns the ID of the display to use when making links.
DisplayPluginBase::getMoreUrl function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Get the more URL for this view.
DisplayPluginBase::getOption function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Gets an option, from this display or the default display.
DisplayPluginBase::getPagerText function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Provides help text for pagers.
DisplayPluginBase::getPath function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Returns the base path to use for this display.
DisplayPluginBase::getPlugin function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Get the instance of a plugin, for example style or row.
DisplayPluginBase::getRoutedDisplay function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Points to the display which can be linked by this display.
DisplayPluginBase::getSpecialBlocks function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Provides the block system with any exposed widget blocks for this display.
DisplayPluginBase::getType function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Returns the display type that this display requires.
DisplayPluginBase::getUrl function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Returns a URL to $this display or its configured linked display.
DisplayPluginBase::hasPath function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Checks to see if the display has a 'path' field.
DisplayPluginBase::initDisplay function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Initializes the display plugin.
DisplayPluginBase::isBaseTableTranslatable function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Returns whether the base table is of a translatable entity type.
DisplayPluginBase::isDefaultDisplay function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Determines if this display is the 'default' display.
DisplayPluginBase::isDefaulted function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Determines if an option is set to use the default or current display.
DisplayPluginBase::isEnabled function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Whether the display is enabled.
DisplayPluginBase::isIdentifierUnique function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Checks if the provided identifier is unique.
DisplayPluginBase::isMoreEnabled function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Whether the display is using the 'more' link or not.
DisplayPluginBase::isPagerEnabled function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Whether the display is using a pager or not.
DisplayPluginBase::mergeDefaults function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Merges default values for all plugin types.
DisplayPluginBase::mergeHandler function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Merges handlers default values.
DisplayPluginBase::mergePlugin function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Merges plugins default values.
DisplayPluginBase::newDisplay function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Reacts on adding a display.
DisplayPluginBase::optionLink function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Returns a link to a section of a form.
DisplayPluginBase::optionsOverride function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php If override/revert was clicked, perform the proper toggle.
DisplayPluginBase::optionsSummary function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Provides the default summary for options in the views UI.
DisplayPluginBase::outputIsEmpty function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Is the output of the view empty.
DisplayPluginBase::overrideOption function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Set an option and force it to be an override.
DisplayPluginBase::preExecute function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Sets up any variables on the view prior to execution.
DisplayPluginBase::preview function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Renders the display for the purposes of a live preview.
DisplayPluginBase::query function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Add anything to the query that we might need to.
DisplayPluginBase::recursiveReplaceTokens function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Replace the query parameters recursively, both key and value.
DisplayPluginBase::remove function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Reacts on deleting a display.
DisplayPluginBase::render function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Renders this display.
DisplayPluginBase::renderArea function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Renders one of the available areas.
DisplayPluginBase::renderFilters function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Does nothing (obsolete function).
DisplayPluginBase::renderMoreLink function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Renders the 'more' link.
DisplayPluginBase::renderPager function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Checks to see if the display plugins support pager rendering.
DisplayPluginBase::setOption function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Sets an option, on this display or the default display.
DisplayPluginBase::setOverride function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Flip the override setting for the given section.
DisplayPluginBase::submitOptionsForm function core/modules/views/src/Plugin/views/display/DisplayPluginBase.php Handle any special handling on the validate form.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.